<?php

namespace Teknisa\DC\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;

class Project {
    protected $projectService;

    public function __construct(\Teknisa\DC\Services\Project $projectService) {
        $this->projectService = $projectService;
    }

    public function findProjectStatus(Request\Filter $request, Response $response) {
        try {
            $filter = $request->getFilterCriteria()->getConditions();
            $filterName = false;
            $filterValue = false;
            $filterOperator = false;
            if(count($filter) > 0 && $filter[count($filter)-1]['operator'] == "LIKE_ALL"){
                $filterName = $filter[count($filter)-1]['columnName'];
                $filterValue = $filter[count($filter)-1]['value'];
                $filterOperator = "LIKE";
            }
            $projectStatus = $this->projectService->findProjectStatus($filterName, $filterOperator, $filterValue, $filter);
            $response->addDataSet(new DataSet('projectStatus', $projectStatus));
        } catch (\Exception $error) {
            $response->addMessage(new Response\Message($error->getMessage()));
        }
    }
} 