<?php

namespace Teknisa\DC\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\DC\Util\Utilities;
use Zeedhi\DevOps\Model\Projectmanagement\Repositories;

class Project {
    protected $utilities;
    /** @var Repositories\Project */
    protected $projectRepository;

    public function __construct(EntityManager $entityManager, Utilities $utilities) {
        $this->utilities = $utilities;
        $this->projectRepository = $entityManager->getRepository(Utilities::ENTITY_DIR . 'Project');
    }

    public function findProjectStatus($filterName = false, $filterOperator = false, $filterValue = false, $conditions = null) {
        $filter = Utilities::createQueryFiltered($conditions);
        $organizationId = $this->utilities->getCurrentOrganizationId();
        return $this->projectRepository->findProjectStatusByOrganization($organizationId, $filterName, $filterOperator, $filterValue, $filter);
    }
}